%
%  Output should have following form.
%
%  [Tee,    psi_record,                junk,           psi(npts,ndmn)]
%   
%  (time)  (psi at interior location) (extracted psi) (psi at boundary)
%
   X = load('outputRW.dat');
%  X = load('outputRW_ShortRun.dat');
   [MMM NNN] = size(X);
   skip = 10;
   Times  = X(1:skip:MMM,1);
   Psi    = X(1:skip:MMM,2);
   PsiInf = X(1:skip:MMM,3);
   n1 = FindIndex(Times,500);
   n2 = FindIndex(Times,700);
   logT = log10(Times(n1:n2));
   Ones = ones(size(logT));
   V = [Ones, logT];
   y = log10(abs(PsiInf(n1:n2)));
   z = V\y;
   alpha = 10^(z(1));
   beta  = z(2);
   eps = 0.5;
%  beta = -4
   beta4 = abs(beta);
   figure(11)
   hold off
   semilogy(Times(n1:n2),(1+eps)*alpha*Times(n1:n2).^beta,'k--','LineWidth',2)
   set(gca, 'FontSize', 28, 'fontweight', 'n')
   hold on
   semilogy(Times,abs(PsiInf),'k-','LineWidth',2)
   set(gca, 'FontSize', 28, 'fontweight', 'n')
%
   n1 = FindIndex(Times,500);
   n2 = FindIndex(Times,700);
   logT = log10(Times(n1:n2));
   Ones = ones(size(logT));
   V = [Ones, logT];
   y = log10(abs(Psi(n1:n2)));
   z = V\y;
   alpha = 10^(z(1));
   beta  = z(2);
   eps = 0.5;
%  beta = -7
   beta7 = abs(beta);
   figure(11)
   semilogy(Times(n1:n2),(1+eps)*alpha*Times(n1:n2).^beta,'b--','LineWidth',2)
   set(gca, 'FontSize', 28, 'fontweight', 'n')
   semilogy(Times,abs(Psi),'b-','LineWidth',2)
   set(gca, 'FontSize', 28, 'fontweight', 'n')
   xlabel('$t/M$','interpreter','latex') 
   h=legend(['$t^p$ fall-off for $p = \mbox{-}\!\mbox{-}$',num2str(beta4)],'extracted to $r_\infty = 2M(1\times10^{15})$',['$t^p$ fall-off for $p = \mbox{-}\!\mbox{-}$',num2str(beta7)],'read-off at $r = 20M$');
   set(h, 'interpreter', 'latex')
   set(gca, 'YScale', 'log')
   axis([10 700 1e-14 1])
